﻿Public Class frmDRTest
    WithEvents MainTimer As New Timer
    Dim LastEventTextInf As String = ""
    Dim LastEventTextErr As String = ""
    Dim LastEventCount As Integer = 0
    Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        'Dim s As String = Global.DRTest.My.Settings.ConnString
        'MsgBox(s)
        txtConnStr.DataBindings.Add("Text", Global.DRTest.My.Settings, "ConnString")
    End Sub
    Sub LogEvent(ByVal InText As String, ByVal Type As String)

        Dim dt As String = DateTime.Now.ToString("h:mm:ss")

        Dim lvwItem As New ListViewItem(dt)

        If (InText = LastEventTextInf And Type = "Inf") Or (InText = LastEventTextErr And Type = "Err") Then
            LastEventCount += 1
            txtOutput.Text = "(" & LastEventCount & ") " & InText
        Else
            LastEventCount = 0
            If Type = "Err" Then LastEventTextErr = InText
            If Type = "Inf" Then LastEventTextInf = InText
            lvwItem.SubItems.Add(InText)
            lvwOutput.Items.Insert(0, lvwItem)
            txtOutput.Text = InText
        End If

        Application.DoEvents()

    End Sub

    Private Sub btnTest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTest.Click
        TestConnection(txtConnStr.Text)
    End Sub
    Private Sub btnToggleTest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnToggleTest.Click
        If Not MainTimer.Enabled Then
            MainTimer.Interval = txtTimerInterval.Text
            MainTimer.Start()
            LogEvent("Test Started", "Inf")
            btnToggleTest.Text = "Stop Test"
        Else
            LogEvent("Test Stopped", "Inf")
            MainTimer.Stop()
            btnToggleTest.Text = "Start Test"
        End If
    End Sub
    Sub MainTimer_Tick(ByVal a As Object, ByVal e As EventArgs) Handles MainTimer.Tick

        MainTimer.Stop()
        RunCommand(txtConnStr.Text, txtLastID.Text, txtLastServer.Text, txtLastTranDate.Text, txtDataLength.Text, chkMassUpdate.Checked)
        MainTimer.Start()
    End Sub
    Private Sub txtConnStr_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtConnStr.TextChanged
        If MainTimer.Enabled Then
            LogEvent("Test Stopped", "Inf")
            MainTimer.Stop()
            btnToggleTest.Text = "Start Test"
        End If
    End Sub
    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lvwOutput.Items.Clear()
    End Sub

    Private Sub btnClearAllPools_Click(sender As Object, e As EventArgs) Handles btnClearAllPools.Click
        ClearAllPools()
    End Sub

    Private Sub btnRead_Click(sender As Object, e As EventArgs) Handles btnRead.Click
        ReadNow(txtConnStr.Text)
    End Sub
End Class
